Bug 1130373 - [RFE][neutron]: Common standard for assertEqual usage in neutron unit testing
Summary: [RFE][neutron]: Common standard for assertEqual usage in neutron unit testing
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/neut...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 04:04 UTC by RHOS Integration
Modified: 2015-11-20 19:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 16:58:07 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-08-15 04:04:24 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/assertequal-standard-usage.

Description:

This BP comes to define a standard usage of assertEqual() function in Neutron unit testing code.

Neutron Unit Testing code uses assertEqual() function in all it's unit testing modules and classes.
The signature of this function is assertEqual(self, expected, observed, message='')
Values for comparison should be in order of expected value comes first, actual value comes after.

There is no standard of using this function in Neutron unit testing.
Function is called in both ways, assertEqual(expected, observed) and assertEqual(observed, expected)
while the second case seems to be preferable.

Neutron unit testing code should have standard usage of assertEqual() function 
that fits its assertEqual(expected, observed) signature




Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.